Bug 244365 - sysutils/consul: Consul 1.7.1 has been released.
Summary: sysutils/consul: Consul 1.7.1 has been released.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2020-02-24 13:10 UTC by crest
Modified: 2020-03-27 15:31 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
Patch to update the consul port to version 1.7.1 (843 bytes, patch)
2020-02-24 13:43 UTC, crest
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description crest 2020-02-24 13:10:30 UTC
Consul 1.7.1 has been released on 2020-02-20 and consul 1.7.0 has been released a few days before that. The later includes fixes for CVE-2019-19794 and CVE-2020-0601 as well as some breaking changes (e.g. changes to the log format).

More details on the changes can be found in the the official changelog at https://github.com/hashicorp/consul/blob/v1.7.1/CHANGELOG.md .
Comment 1 crest 2020-02-24 13:43:46 UTC
Created attachment 211896 [details]
Patch to update the consul port to version 1.7.1

Changing the port version and plist is enough t get the port in sync with the upstream version.
Comment 2 commit-hook freebsd_committer 2020-03-27 15:18:40 UTC
A commit references this bug:

Author: swills
Date: Fri Mar 27 15:18:07 UTC 2020
New revision: 529259
URL: https://svnweb.freebsd.org/changeset/ports/529259

Log:
  sysutils/consul: update to 1.7.2 [1][2]

  While here, improve rc script [1]

  PR:		244380 [1]
  PR:		244365 [2]
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> [1]
  Reported by:	crest@rlwinm.de [2]

Changes:
  head/sysutils/consul/Makefile
  head/sysutils/consul/distinfo
  head/sysutils/consul/files/consul.in
Comment 3 Steve Wills freebsd_committer 2020-03-27 15:31:15 UTC
Committed, thanks!